import request from '@/utils/request'

export function getPointInstructionsDetail(query) {
  return request({
    url: '/news/getdgtIndustryNews',
    method: 'post',
    data: query
  })
}

export function updatePointInstructions(query) {
  return request({
    url: '/news/listForDGTSiteNews',
    method: 'post',
    data: query
  })
}

export function pointRulesTypeList(data) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data
  })
}

export function getPointRulesList(query) {
  return request({
    url: '/news/update',
    method: 'post',
    data:query
  })
}

export function updatePointRulesItem(data) {
  return request({
    url: '/news/delete',
    method: 'post',
    data
  })
}

export function companyTypeList(query) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data:query
  })
}

export function depTypeList(query) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data:query
  })
}

export function getPointList(query) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data:query
  })
}

export function getItemPointList(query) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data:query
  })
}


